Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.testcase
Class WsdlTestCaseDesktopPanel.InternalTestRunListener

    java.lang.Object
      com.eviware.soapui.model.support.TestRunListenerAdapter
          com.eviware.soapui.impl.wsdl.panels.testcase.WsdlTestCaseDesktopPanel.InternalTestRunListener

All Implemented Interfaces:
  TestRunListener

Enclosing class:
  WsdlTestCaseDesktopPanel

    public class WsdlTestCaseDesktopPanel.InternalTestRunListener

extends TestRunListenerAdapter

Constructor Summary
`WsdlTestCaseDesktopPanel.InternalTestRunListener()`

Method Summary
`void` | `afterRun(TestRunner testRunner, TestRunContext runContext)`
`void` | `afterStep(TestRunner testRunner, TestRunContext runContext, TestStepResult stepResult)`
`void` | `beforeRun(TestRunner testRunner, TestRunContext runContext)`
`void` | `beforeStep(TestRunner testRunner, TestRunContext runContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlTestCaseDesktopPanel.InternalTestRunListener

    public WsdlTestCaseDesktopPanel.InternalTestRunListener()

Method Detail

### beforeRun

    public void beforeRun(TestRunner testRunner,
                          TestRunContext runContext)

  Specified by:
    `beforeRun` in interface `TestRunListener`
  Overrides:
    `beforeRun` in class `TestRunListenerAdapter`

### beforeStep

    public void beforeStep(TestRunner testRunner,
                           TestRunContext runContext)

  Specified by:
    `beforeStep` in interface `TestRunListener`
  Overrides:
    `beforeStep` in class `TestRunListenerAdapter`

### afterRun

    public void afterRun(TestRunner testRunner,
                         TestRunContext runContext)

  Specified by:
    `afterRun` in interface `TestRunListener`
  Overrides:
    `afterRun` in class `TestRunListenerAdapter`

### afterStep

    public void afterStep(TestRunner testRunner,
                          TestRunContext runContext,
                          TestStepResult stepResult)

  Specified by:
    `afterStep` in interface `TestRunListener`
  Overrides:
    `afterStep` in class `TestRunListenerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.